Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class TextRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.TextRecord

    public final class TextRecord

extends StandardRecord

The text record is used to define text stored on a chart.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `DATA_LABEL_PLACEMENT_ABOVE`
`static short` | `DATA_LABEL_PLACEMENT_AUTO`
`static short` | `DATA_LABEL_PLACEMENT_AXIS`
`static short` | `DATA_LABEL_PLACEMENT_BELOW`
`static short` | `DATA_LABEL_PLACEMENT_CENTER`
`static short` | `DATA_LABEL_PLACEMENT_CHART_DEPENDENT`
`static short` | `DATA_LABEL_PLACEMENT_INSIDE`
`static short` | `DATA_LABEL_PLACEMENT_LEFT`
`static short` | `DATA_LABEL_PLACEMENT_OUTSIDE`
`static short` | `DATA_LABEL_PLACEMENT_RIGHT`
`static short` | `DATA_LABEL_PLACEMENT_USER_MOVED`
`static short` | `DISPLAY_MODE_OPAQUE`
`static short` | `DISPLAY_MODE_TRANSPARENT`
`static byte` | `HORIZONTAL_ALIGNMENT_BOTTOM`
`static byte` | `HORIZONTAL_ALIGNMENT_CENTER`
`static byte` | `HORIZONTAL_ALIGNMENT_JUSTIFY`
`static byte` | `HORIZONTAL_ALIGNMENT_LEFT`
`static short` | `ROTATION_NONE`
`static short` | `ROTATION_ROTATED_90_DEGREES`
`static short` | `ROTATION_ROTATED_90_DEGREES_CLOCKWISE`
`static short` | `ROTATION_TOP_TO_BOTTOM`
`static short` | `sid`
`static byte` | `VERTICAL_ALIGNMENT_BOTTOM`
`static byte` | `VERTICAL_ALIGNMENT_CENTER`
`static byte` | `VERTICAL_ALIGNMENT_JUSTIFY`
`static byte` | `VERTICAL_ALIGNMENT_TOP`

Constructor Summary
`TextRecord()`
`TextRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getDataLabelPlacement()`
`protected int` | `getDataSize()`
`short` | `getDisplayMode()` Get the display mode field for the Text record.
`int` | `getHeight()` Get the height field for the Text record.
`byte` | `getHorizontalAlignment()` Get the horizontal alignment field for the Text record.
`short` | `getIndexOfColorValue()` Get the index of color value field for the Text record.
`short` | `getOptions1()` Get the options1 field for the Text record.
`short` | `getOptions2()` Get the options2 field for the Text record.
`int` | `getRgbColor()` Get the rgbColor field for the Text record.
`short` | `getRotation()`
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTextRotation()` Get the text rotation field for the Text record.
`byte` | `getVerticalAlignment()` Get the vertical alignment field for the Text record.
`int` | `getWidth()` Get the width field for the Text record.
`int` | `getX()` Get the x field for the Text record.
`int` | `getY()` Get the y field for the Text record.
`boolean` | `isAutoBackground()`
`boolean` | `isAutoColor()` true = automaticly selected colour, false = user-selected
`boolean` | `isAutoGeneratedText()`
`boolean` | `isAutoLabelDeleted()`
`boolean` | `isGenerated()`
`boolean` | `isShowBubbleSizes()`
`boolean` | `isShowCategoryLabelAsPercentage()`
`boolean` | `isShowKey()` true = draw legend
`boolean` | `isShowLabel()`
`boolean` | `isShowValue()` false = text is category label
`boolean` | `isShowValueAsPercentage()`
`boolean` | `isVertical()` true = text is vertical
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAutoBackground(boolean value)` Sets the auto background field value.
`void` | `setAutoColor(boolean value)` Sets the auto color field value.
`void` | `setAutoGeneratedText(boolean value)` Sets the auto generated text field value.
`void` | `setAutoLabelDeleted(boolean value)` Sets the auto label deleted field value.
`void` | `setDataLabelPlacement(short value)` Sets the data label placement field value.
`void` | `setDisplayMode(short field_3_displayMode)` Set the display mode field for the Text record.
`void` | `setGenerated(boolean value)` Sets the generated field value.
`void` | `setHeight(int field_8_height)` Set the height field for the Text record.
`void` | `setHorizontalAlignment(byte field_1_horizontalAlignment)` Set the horizontal alignment field for the Text record.
`void` | `setIndexOfColorValue(short field_10_indexOfColorValue)` Set the index of color value field for the Text record.
`void` | `setOptions1(short field_9_options1)` Set the options1 field for the Text record.
`void` | `setOptions2(short field_11_options2)` Set the options2 field for the Text record.
`void` | `setRgbColor(int field_4_rgbColor)` Set the rgbColor field for the Text record.
`void` | `setRotation(short value)` Sets the rotation field value.
`void` | `setShowBubbleSizes(boolean value)` Sets the show bubble sizes field value.
`void` | `setShowCategoryLabelAsPercentage(boolean value)` Sets the show category label as percentage field value.
`void` | `setShowKey(boolean value)` Sets the show key field value.
`void` | `setShowLabel(boolean value)` Sets the show label field value.
`void` | `setShowValue(boolean value)` Sets the show value field value.
`void` | `setShowValueAsPercentage(boolean value)` Sets the show value as percentage field value.
`void` | `setTextRotation(short field_12_textRotation)` Set the text rotation field for the Text record.
`void` | `setVertical(boolean value)` Sets the vertical field value.
`void` | `setVerticalAlignment(byte field_2_verticalAlignment)` Set the vertical alignment field for the Text record.
`void` | `setWidth(int field_7_width)` Set the width field for the Text record.
`void` | `setX(int field_5_x)` Set the x field for the Text record.
`void` | `setY(int field_6_y)` Set the y field for the Text record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### HORIZONTAL_ALIGNMENT_LEFT

    public static final byte HORIZONTAL_ALIGNMENT_LEFT

See Also:
  Constant Field Values

### HORIZONTAL_ALIGNMENT_CENTER

    public static final byte HORIZONTAL_ALIGNMENT_CENTER

See Also:
  Constant Field Values

### HORIZONTAL_ALIGNMENT_BOTTOM

    public static final byte HORIZONTAL_ALIGNMENT_BOTTOM

See Also:
  Constant Field Values

### HORIZONTAL_ALIGNMENT_JUSTIFY

    public static final byte HORIZONTAL_ALIGNMENT_JUSTIFY

See Also:
  Constant Field Values

### VERTICAL_ALIGNMENT_TOP

    public static final byte VERTICAL_ALIGNMENT_TOP

See Also:
  Constant Field Values

### VERTICAL_ALIGNMENT_CENTER

    public static final byte VERTICAL_ALIGNMENT_CENTER

See Also:
  Constant Field Values

### VERTICAL_ALIGNMENT_BOTTOM

    public static final byte VERTICAL_ALIGNMENT_BOTTOM

See Also:
  Constant Field Values

### VERTICAL_ALIGNMENT_JUSTIFY

    public static final byte VERTICAL_ALIGNMENT_JUSTIFY

See Also:
  Constant Field Values

### DISPLAY_MODE_TRANSPARENT

    public static final short DISPLAY_MODE_TRANSPARENT

See Also:
  Constant Field Values

### DISPLAY_MODE_OPAQUE

    public static final short DISPLAY_MODE_OPAQUE

See Also:
  Constant Field Values

### ROTATION_NONE

    public static final short ROTATION_NONE

See Also:
  Constant Field Values

### ROTATION_TOP_TO_BOTTOM

    public static final short ROTATION_TOP_TO_BOTTOM

See Also:
  Constant Field Values

### ROTATION_ROTATED_90_DEGREES

    public static final short ROTATION_ROTATED_90_DEGREES

See Also:
  Constant Field Values

### ROTATION_ROTATED_90_DEGREES_CLOCKWISE

    public static final short ROTATION_ROTATED_90_DEGREES_CLOCKWISE

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_CHART_DEPENDENT

    public static final short DATA_LABEL_PLACEMENT_CHART_DEPENDENT

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_OUTSIDE

    public static final short DATA_LABEL_PLACEMENT_OUTSIDE

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_INSIDE

    public static final short DATA_LABEL_PLACEMENT_INSIDE

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_CENTER

    public static final short DATA_LABEL_PLACEMENT_CENTER

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_AXIS

    public static final short DATA_LABEL_PLACEMENT_AXIS

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_ABOVE

    public static final short DATA_LABEL_PLACEMENT_ABOVE

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_BELOW

    public static final short DATA_LABEL_PLACEMENT_BELOW

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_LEFT

    public static final short DATA_LABEL_PLACEMENT_LEFT

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_RIGHT

    public static final short DATA_LABEL_PLACEMENT_RIGHT

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_AUTO

    public static final short DATA_LABEL_PLACEMENT_AUTO

See Also:
  Constant Field Values

### DATA_LABEL_PLACEMENT_USER_MOVED

    public static final short DATA_LABEL_PLACEMENT_USER_MOVED

See Also:
  Constant Field Values

Constructor Detail

### TextRecord

    public TextRecord()

### TextRecord

    public TextRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getHorizontalAlignment

    public byte getHorizontalAlignment()

  Get the horizontal alignment field for the Text record.

  Returns:
    One of HORIZONTAL_ALIGNMENT_LEFT HORIZONTAL_ALIGNMENT_CENTER HORIZONTAL_ALIGNMENT_BOTTOM HORIZONTAL_ALIGNMENT_JUSTIFY

### setHorizontalAlignment

    public void setHorizontalAlignment(byte field_1_horizontalAlignment)

  Set the horizontal alignment field for the Text record.

  Parameters:
    `field_1_horizontalAlignment` - One of HORIZONTAL_ALIGNMENT_LEFT HORIZONTAL_ALIGNMENT_CENTER HORIZONTAL_ALIGNMENT_BOTTOM HORIZONTAL_ALIGNMENT_JUSTIFY

### getVerticalAlignment

    public byte getVerticalAlignment()

  Get the vertical alignment field for the Text record.

  Returns:
    One of VERTICAL_ALIGNMENT_TOP VERTICAL_ALIGNMENT_CENTER VERTICAL_ALIGNMENT_BOTTOM VERTICAL_ALIGNMENT_JUSTIFY

### setVerticalAlignment

    public void setVerticalAlignment(byte field_2_verticalAlignment)

  Set the vertical alignment field for the Text record.

  Parameters:
    `field_2_verticalAlignment` - One of VERTICAL_ALIGNMENT_TOP VERTICAL_ALIGNMENT_CENTER VERTICAL_ALIGNMENT_BOTTOM VERTICAL_ALIGNMENT_JUSTIFY

### getDisplayMode

    public short getDisplayMode()

  Get the display mode field for the Text record.

  Returns:
    One of DISPLAY_MODE_TRANSPARENT DISPLAY_MODE_OPAQUE

### setDisplayMode

    public void setDisplayMode(short field_3_displayMode)

  Set the display mode field for the Text record.

  Parameters:
    `field_3_displayMode` - One of DISPLAY_MODE_TRANSPARENT DISPLAY_MODE_OPAQUE

### getRgbColor

    public int getRgbColor()

  Get the rgbColor field for the Text record.

### setRgbColor

    public void setRgbColor(int field_4_rgbColor)

  Set the rgbColor field for the Text record.

### getX

    public int getX()

  Get the x field for the Text record.

### setX

    public void setX(int field_5_x)

  Set the x field for the Text record.

### getY

    public int getY()

  Get the y field for the Text record.

### setY

    public void setY(int field_6_y)

  Set the y field for the Text record.

### getWidth

    public int getWidth()

  Get the width field for the Text record.

### setWidth

    public void setWidth(int field_7_width)

  Set the width field for the Text record.

### getHeight

    public int getHeight()

  Get the height field for the Text record.

### setHeight

    public void setHeight(int field_8_height)

  Set the height field for the Text record.

### getOptions1

    public short getOptions1()

  Get the options1 field for the Text record.

### setOptions1

    public void setOptions1(short field_9_options1)

  Set the options1 field for the Text record.

### getIndexOfColorValue

    public short getIndexOfColorValue()

  Get the index of color value field for the Text record.

### setIndexOfColorValue

    public void setIndexOfColorValue(short field_10_indexOfColorValue)

  Set the index of color value field for the Text record.

### getOptions2

    public short getOptions2()

  Get the options2 field for the Text record.

### setOptions2

    public void setOptions2(short field_11_options2)

  Set the options2 field for the Text record.

### getTextRotation

    public short getTextRotation()

  Get the text rotation field for the Text record.

### setTextRotation

    public void setTextRotation(short field_12_textRotation)

  Set the text rotation field for the Text record.

### setAutoColor

    public void setAutoColor(boolean value)

  Sets the auto color field value. true = automaticly selected colour, false = user-selected

### isAutoColor

    public boolean isAutoColor()

  true = automaticly selected colour, false = user-selected

  Returns:
    the auto color field value.

### setShowKey

    public void setShowKey(boolean value)

  Sets the show key field value. true = draw legend

### isShowKey

    public boolean isShowKey()

  true = draw legend

  Returns:
    the show key field value.

### setShowValue

    public void setShowValue(boolean value)

  Sets the show value field value. false = text is category label

### isShowValue

    public boolean isShowValue()

  false = text is category label

  Returns:
    the show value field value.

### setVertical

    public void setVertical(boolean value)

  Sets the vertical field value. true = text is vertical

### isVertical

    public boolean isVertical()

  true = text is vertical

  Returns:
    the vertical field value.

### setAutoGeneratedText

    public void setAutoGeneratedText(boolean value)

  Sets the auto generated text field value.

### isAutoGeneratedText

    public boolean isAutoGeneratedText()

  Returns:
    the auto generated text field value.

### setGenerated

    public void setGenerated(boolean value)

  Sets the generated field value.

### isGenerated

    public boolean isGenerated()

  Returns:
    the generated field value.

### setAutoLabelDeleted

    public void setAutoLabelDeleted(boolean value)

  Sets the auto label deleted field value.

### isAutoLabelDeleted

    public boolean isAutoLabelDeleted()

  Returns:
    the auto label deleted field value.

### setAutoBackground

    public void setAutoBackground(boolean value)

  Sets the auto background field value.

### isAutoBackground

    public boolean isAutoBackground()

  Returns:
    the auto background field value.

### setRotation

    public void setRotation(short value)

  Sets the rotation field value.

### getRotation

    public short getRotation()

  Returns:
    the rotation field value.

### setShowCategoryLabelAsPercentage

    public void setShowCategoryLabelAsPercentage(boolean value)

  Sets the show category label as percentage field value.

### isShowCategoryLabelAsPercentage

    public boolean isShowCategoryLabelAsPercentage()

  Returns:
    the show category label as percentage field value.

### setShowValueAsPercentage

    public void setShowValueAsPercentage(boolean value)

  Sets the show value as percentage field value.

### isShowValueAsPercentage

    public boolean isShowValueAsPercentage()

  Returns:
    the show value as percentage field value.

### setShowBubbleSizes

    public void setShowBubbleSizes(boolean value)

  Sets the show bubble sizes field value.

### isShowBubbleSizes

    public boolean isShowBubbleSizes()

  Returns:
    the show bubble sizes field value.

### setShowLabel

    public void setShowLabel(boolean value)

  Sets the show label field value.

### isShowLabel

    public boolean isShowLabel()

  Returns:
    the show label field value.

### setDataLabelPlacement

    public void setDataLabelPlacement(short value)

  Sets the data label placement field value.

### getDataLabelPlacement

    public short getDataLabelPlacement()

  Returns:
    the data label placement field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.